import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
// 管理员
import adminLogin from './adminLogin';
// 问卷调查
import answer from '@common/src/store/question/answer';
import question from '@common/src/store/question/question';
import questionnaire from '@common/src/store/question/questionnaire';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    adminLogin,
    answer,
    question,
    questionnaire,
  },
});
